<form #givePointsDialog="ngForm">
    <h4 mat-dialog-title> {{ "ChangePoints" | localize }} </h4>
    <mat-dialog-content class="container-fluid" style="width: 200px;">
        <div class="row">
            <mat-form-field class="col-12">
                <mat-label>
                    {{ "NumberOfPoints" | localize }}
                </mat-label>
                <input matInput type="number" [(ngModel)]="changePointsDto.pointCount" name="points" />
            </mat-form-field>
        </div>
    </mat-dialog-content>
    <mat-dialog-actions>
        <button (click)="close(false)" matbutton mat-dialog-close class="btn btn-default">
            {{ "Cancel" | localize }}
        </button>
        <button matButton class="btn btn-primary" type="submit" (click)="save()"
            [disabled]="!givePointsDialog.form.valid || saving">
            {{ "Submit" | localize }}
        </button>
    </mat-dialog-actions>
</form>